package goap

type OstatusAtomUriData struct {
	Next BaseApChain
	Uri  string
}

func (atomurivalue *OstatusAtomUriData) GetSelfOrBase() (BaseApChain, bool) {
	return atomurivalue.Next, true
}

func (atomurivalue *OstatusAtomUriData) MarshalToMap() map[string]any {
	return appendWithKey(
		atomurivalue.Next.MarshalToMap(),
		KEY_OSTATUS_ATOMURI,
		[]map[string]any{{KEY_VALUE: atomurivalue.Uri}},
	)
}

type OstatusConversationData struct {
	Next BaseApChain
	Uri  string
}

func (atomurivalue *OstatusConversationData) GetSelfOrBase() (BaseApChain, bool) {
	return atomurivalue.Next, true
}

func (atomurivalue *OstatusConversationData) MarshalToMap() map[string]any {
	return appendWithKey(
		atomurivalue.Next.MarshalToMap(),
		KEY_OSTATUS_CONVERSATION,
		[]map[string]any{{KEY_VALUE: atomurivalue.Uri}},
	)
}
